slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSKrylovSchurGetInertias

Gets the values of the shifts and their corresponding inertias in case of doing spectrum slicing for a computational interval.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetInertias(EPS eps,PetscInt *n,PetscReal **shifts,PetscInt **inertias)

Not Collective

### Input Parameter

| eps | - the eigenproblem solver context

### Output Parameters

| n | - number of shifts, including the endpoints of the interval
| shifts | - the values of the shifts used internally in the solver
| inertias | - the values of the inertia in each shift

### Notes

If called after EPSSolve(), all shifts used internally by the solver are returned (including both endpoints and any intermediate ones). If called before EPSSolve() and after EPSSetUp() then only the information of the endpoints of subintervals is available.

This function is only available for spectrum slicing runs.

The returned arrays should be freed by the user. Can pass NULL in any of the two arrays if not required.

### Fortran Notes

The calling sequence from Fortran is

       EPSKrylovSchurGetInertias(eps,n,shifts,inertias,ierr)
       integer n
       double precision shifts(*)
       integer inertias(*)

The arrays should be at least of length n. The value of n can be determined by an initial call

       EPSKrylovSchurGetInertias(eps,n,PETSC_NULL_REAL,PETSC_NULL_INTEGER,ierr)

### See Also

EPSSetInterval(), EPSKrylovSchurSetSubintervals()

### Level

advanced

### Location

src/eps/impls/krylov/krylovschur/krylovschur.c

### Examples

src/eps/tutorials/ex12.c
src/eps/tutorials/ex25.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages